CREATE PROCEDURE JR39622
(
)
SPECIFIC PR110522130536555
LANGUAGE SQL

/*
    ================================================================================
    Proc Name:       JR39622
    Create Date:     2011-05-23 11:55:56
         
    Author:          Amit Kumar Vijay
    
    				MODIFICATION
    				------------
    ----------	-------------	------------    ----------------------------
	DATE      	NAME         	Ver   	DESCRIPTION
    ----------	-------------	-------------   -----------------------------
    
    2011-05-23 Amit Kumar Vijay 6.1.1.2      Procedure to reset the indentity column for JR39622
    				
    ================================================================================
    Return Code : 0 = OK, 1 = Not Good, 2 = Dup, 3= No Data Found 4=Locked
*/

BEGIN
DECLARE v_MESG VARCHAR(200);
DECLARE v_maxcertid INTEGER; 
DECLARE v_sqlstmt VARCHAR(1000);


BEGIN


DECLARE CONTINUE HANDLER FOR NOT FOUND
BEGIN
SET v_mesg = 'NO NEED TO RESTART';
END;

SELECT MAX(CERTID) INTO v_maxcertid FROM PR_CERT;

         
IF v_maxcertid IS NULL THEN
	SET v_maxcertid = 0;
END IF;

         
SET v_maxcertid = v_maxcertid + 1;

END;

SET  v_sqlstmt =
    'ALTER TABLE PR_CERT ALTER COLUMN CERTID RESTART WITH ' || char(v_maxcertid);

EXECUTE IMMEDIATE v_sqlstmt;
      
-- SET v_mesg = 'SUCCESSFULLY RESTARTED  THE IDENTITY COLUMN IN PASSED TABLE' ;
      
END
!
CALL JR39622()
!
DROP PROCEDURE JR39622
!